#DEBUG = -O3
CFLAG = $(DEBUG) common.cc
LIBTITLE = diag
LFLAG = -Bstatic -L./ -l$(LIBTITLE)  

all: lib prog

#PROGLIST = cli ech0 ech0_ ech1 ech10 ech11 ech2 ech22 ech21 ech3	
#ech21 - это пул потоков только для QNX
PROGLIST = cli ech0 ech01 ech1 ech10 ech11 ech2 ech22 \
           ech3 ech4 ech41
prog:	$(PROGLIST)

COMMON = common.cc common.h libdiag.h Makefile

cli:	cli.cc $(COMMON)
	$(CXX) $(CFLAG) $< $(LFLAG) -o $@

ech0:   ech0.cc $(COMMON)
	$(CXX) $(CFLAG) $< $(LFLAG) -o $@

ech01:	ech01.cc $(COMMON)
	$(CXX) $(CFLAG) $< $(LFLAG) -o $@

ech1:	ech1.cc $(COMMON)
	$(CXX) $(CFLAG) $< $(LFLAG) -o $@

ech10:	ech10.cc $(COMMON)
	$(CXX) $(CFLAG) $< $(LFLAG) -o $@

ech11:	ech11.cc $(COMMON)
	$(CXX) $(CFLAG) $< $(LFLAG) -o $@

ech2:	ech2.cc $(COMMON)
	$(CXX) $(CFLAG) $< $(LFLAG) -lpthread -o $@

ech21:	ech21.cc $(COMMON)
	$(CXX) $(CFLAG) $< $(LFLAG) -o $@

ech22:	ech22.cc $(COMMON)
	$(CXX) $(CFLAG) $< $(LFLAG) -lpthread -o $@

ech3:	ech3.cc $(COMMON)
	$(CXX) $(CFLAG) $< $(LFLAG) -o $@
	cp $@ $(HOME)

ech4:	ech4.cc $(COMMON)
	$(CXX) $(CFLAG) $< $(LFLAG) -lpthread -o $@

ech41:	ech41.cc $(COMMON)
	$(CXX) $(CFLAG) $< $(LFLAG) -lpthread -o $@

LIBDIR = libdiag
lib:
	(cd $(LIBDIR) && make $@)

clean:
	@rm -f *.o $(PROGLIST) $(HOME)/ech3
	(cd $(LIBDIR) && make $@)
